#!/bin/awk -f

# Demonstration of awk syntax for matching lines of text with specific
# patterns. Run this on the provided 'gettysburg.txt' file via

# > awk -f patterns.awk gettysburg.txt

# which will cause the actions below to be run on lines that match the
# pattern shown.


/dead/ {                            # matches lines with 'dead'
  print "This line is morbid:",$0   # print text and $0 which is the entire line
}

$2 == "hallow" {                    # second 'field' is "dead", $2 is 2nd space-separated word on line
  print "This line is holy:  ",$0
}

NR==3, NR==7 {                      # matches lines 3 to 7, NR is set to the "record number" being processed
  print "Thes lines are in the middle",NR,":",$0
}
